Search found 29 matches

by nmt
Sun Feb 11, 2018 4:30 pm
Forum: Developers corner
Topic: Free Form Deformation tool in python with OCC
Replies: 1
Views: 1956

Re: Free Form Deformation tool in python with OCC

I have an immediate need for PyGeM! I downloaded and installed it and ran the tutorials independently. However, I would love to run it from within FreeCAD, but I do not know how to do that. Has anyone integrated it with FreeCAD? If so, can you please clue me in? Many thanks.
by nmt
Sun Apr 02, 2017 7:07 am
Forum: Python scripting and macros
Topic: How do I make a pipe on a complex wire?
Replies: 6
Views: 3023

Re: How do I make a pipe on a complex wire?

I use a needle object in my nurbs workbench.
Thank you for your reply. However, I am looking for a way to make it directly in python rather than using the GUI. Do you have a code snippet you can share that would make that pipe around the surface? Many thanks.
by nmt
Sat Apr 01, 2017 9:22 pm
Forum: Python scripting and macros
Topic: How do I make a pipe on a complex wire?
Replies: 6
Views: 3023

How do I make a pipe on a complex wire?

Hello, I have a complex wire which represents the boundary of a BSplineSurface (Please see attached image). I extracted it from the BSplineSurface and moved it up so you can see it. It is made out of one closed wire. I've tried to make a pipe using makePipeShell (see partial code below), but the res...
by nmt
Mon Mar 27, 2017 5:10 pm
Forum: Python scripting and macros
Topic: makeFilledFace crashing FreeCAD
Replies: 14
Views: 3402

Re: makeFilledFace crashing FreeCAD

They have confirmed it on MantisBT and they have the traceback there: https://freecadweb.org/tracker/view.php?id=2985#c8716
Confirmed using 10653 from GitHub on both Qt4 and Qt5. Did not crash when compiled locally (i.e. Debug build on 10.12) so traceback is from the GitHub/Travis build on 10.10.
by nmt
Sun Mar 26, 2017 8:57 pm
Forum: Python scripting and macros
Topic: What happened to Part.BOPTools?
Replies: 15
Views: 3626

Re: What happened to Part.BOPTools?

Worked. Many thanks to both!
by nmt
Sun Mar 26, 2017 8:13 pm
Forum: Python scripting and macros
Topic: What happened to Part.BOPTools?
Replies: 15
Views: 3626

What happened to Part.BOPTools?

Hello, I must be going crazy. I just updated FreeCAD and I no longer have Part.BOPTools etc.. Am I missing something?? Has this been deprecated? And if so, what is the new way of doing things? This is the code I am trying to run: import Part doc = FreeCAD.newDocument('Embed') Gui.ActiveDocument.Acti...
by nmt
Sun Mar 26, 2017 8:06 pm
Forum: Python scripting and macros
Topic: makeFilledFace crashing FreeCAD
Replies: 14
Views: 3402

Re: makeFilledFace crashing FreeCAD

@nmt are you able to let run it in the debugger? Then we know more where the crash actually happens.
Sorry, I am not set up to compile FreeCAD on my Mac. If someone can point me to an executable that has already been compiled with the debug flag, I can give it a try.
by nmt
Sun Mar 26, 2017 9:38 am
Forum: Python scripting and macros
Topic: makeFilledFace crashing FreeCAD
Replies: 14
Views: 3402

Re: makeFilledFace crashing FreeCAD

Thank you for alerting me to update. I updated FreeCAD (see below) and ran the python script from the command line and received the same non-informative crash report as you. I have submitted a crash/bug report https://www.freecadweb.org/tracker/view.php?id=2985 Nmt-MacBook-Pro:MacOS nmt$ ./FreeCADCm...
by nmt
Sat Mar 25, 2017 10:40 pm
Forum: Python scripting and macros
Topic: makeFilledFace crashing FreeCAD
Replies: 14
Views: 3402

Re: makeFilledFace crashing FreeCAD

This is my FC info. I just tried it again and it is still a hard crash. And it does not crash until the last line is entered. OS: Mac OS X Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.17.10163 (Git) Build type: Release Branch: (detached from 1f12a3f) Hash: 1f12a3f65c474ddb1965626e...
by nmt
Sat Mar 25, 2017 8:20 pm
Forum: Python scripting and macros
Topic: makeFilledFace crashing FreeCAD
Replies: 14
Views: 3402

makeFilledFace crashing FreeCAD

The following very short script is crashing FreeCAD for me at the makeFilledFace line. Any ideas? import Part v1 = App.Vector(0.0,0.0,0.0) v2 = App.Vector(10.0,0.0,0.0) v3 = App.Vector(10.0,0.0,10.0) v4 = App.Vector(0.0,0.0,10.0) edge1 = Part.makeLine(v1, v2) edge2 = Part.makeLine(v2, v3) edge3 = Pa...